Name:		autodock_vina
Version:	1.1.2
Release:	4%{?dist}
Summary:	Docking of small molecules to proteins
Group:		Applications/Engineering
License:	ASL 2.0
URL:		http://vina.scripps.edu/index.html
Source0:	http://vina.scripps.edu/download/autodock_vina_1_1_2.tgz
Source1:	vina.1
Source2:	vina_split.1
# from Debian
Patch1:		autodock-vina-fix_boost.patch

BuildRequires:	gcc-c++ dos2unix
%if 0%{?fedora} || 0%{?rhel} >= 6
BuildRequires:	boost-program-options boost-devel boost-thread boost-system
%else
BuildRequires:	boost141-program-options boost141-devel boost141-thread
BuildRequires:	boost141-system
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} >= 20
%global lib_version %nil
%else
%global lib_version -mt
%endif

%description
AutoDock Vina is a program to support drug discovery, molecular
docking and virtual screening of compound libraries. It offers
multi-core capability, high performance and enhanced accuracy
and ease of use.

The same institute also developed autodock, which is widely used.

O. Trott, A. J. Olson, AutoDock Vina: improving the speed and accuracy
of docking with a new scoring function, efficient optimization and
multithreading, Journal of Computational Chemistry 31 (2010) 455-461


%prep
%setup -q -n autodock_vina_1_1_2
%patch1 -p1
find src -type f -exec dos2unix {} \;
find src -type f -exec chmod -x {} \;


%build
# -O3 from distribution
make -C build/linux/release GPP=g++ BOOST_VERSION=1_47 C_PLATFORM=-pthread \
     BASE=/usr BOOST_LIB_VERSION=%lib_version %{?_smp_mflags} \
%if 0%{?fedora} || 0%{?rhel} >= 6
%else
     BOOST_INCLUDE=%_includedir/boost141 \
%endif
     C_OPTIONS="$RPM_OPT_FLAGS -O3 -DNDEBUG"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
install build/linux/release/vina build/linux/release/vina_split $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
install -m 644 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT/%_mandir/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc LICENSE
%_bindir/*
%_mandir/man1/*


%changelog
* Sat Aug 22 2015 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-4
- Rebuild against vanilla boost

* Fri Nov  7 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-3
- Fix up for EPEL5
- Fix file permissions and line endings
- Use rpm opt flags

* Mon Jun 30 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-2
- Re-named from autodock-vina, consistent with Fedora policy
- Don't use -mt libraries on F20
- Remove Group header

* Sat Nov 16 2013 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-1
- Initial packaging, patch based on Debian, man pages from Debian
